Package org.apache.activemq.artemis.jms.client

## Enum ActiveMQDestination.TYPE

- java.lang.Object
- - java.lang.Enum<ActiveMQDestination.TYPE>
  - - org.apache.activemq.artemis.jms.client.ActiveMQDestination.TYPE

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ActiveMQDestination.TYPE>`
  Enclosing class:
    ActiveMQDestination

      public static enum ActiveMQDestination.TYPE
      extends java.lang.Enum<ActiveMQDestination.TYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DESTINATION` |
    `QUEUE` |
    `TEMP_QUEUE` |
    `TEMP_TOPIC` |
    `TOPIC` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte` | `getType()` |
    `static ActiveMQDestination.TYPE` | `getType​(byte type)` |
    `static boolean` | `isQueue​(ActiveMQDestination.TYPE type)` |
    `static boolean` | `isTemporary​(ActiveMQDestination.TYPE type)` |
    `static ActiveMQDestination.TYPE` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ActiveMQDestination.TYPE[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUEUE

          public static final ActiveMQDestination.TYPE QUEUE

    - #### TOPIC

          public static final ActiveMQDestination.TYPE TOPIC

    - #### TEMP_QUEUE

          public static final ActiveMQDestination.TYPE TEMP_QUEUE

    - #### TEMP_TOPIC

          public static final ActiveMQDestination.TYPE TEMP_TOPIC

    - #### DESTINATION

          public static final ActiveMQDestination.TYPE DESTINATION

  - ### Method Detail

    - #### values

          public static ActiveMQDestination.TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActiveMQDestination.TYPE c : ActiveMQDestination.TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActiveMQDestination.TYPE valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public byte getType()

    - #### getType

          public static ActiveMQDestination.TYPE getType​(byte type)

    - #### isQueue

          public static boolean isQueue​(ActiveMQDestination.TYPE type)

    - #### isTemporary

          public static boolean isTemporary​(ActiveMQDestination.TYPE type)